import { LayoutProps } from '../components/models/layoutProps';
import { Layout } from 'antd';
import { UserNavBar } from '../components/navigation/userNavBar';
import { AdminNavBar } from '../components/navigation/adminNavBar';
import 'antd/dist/antd.css';

const { Header, Content, Footer } = Layout;

/**
 * Creates layout of main screens.
 * @param props Html structure of a login form.
 * @returns The login screen.
 */
export function MainLayout(props: LayoutProps) {
    return (
        <Layout>
            <Header>
                {/**
                 @todo: Select correct navigation bar
                 {user && <UserNavBar />}
                 {admin && <AdminNavBar />}
                **/}
            </Header>
            <Content>
                <main>{props.children}</main>
            </Content>
            <Footer></Footer>
        </Layout>
    );
}
